LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Networking
User Name
Password
Linux - Networking This forum is for any issue related to networks or networking.
Routing, network cards, OSI, etc. Anything is fair game.

Notices

Reply
 
Search this Thread
Old 08-22-2006, 04:11 AM   #1
ryzor
LQ Newbie
 
Registered: Mar 2006
Posts: 16

Rep: Reputation: 0
HTTP/1.1 407 Proxy Authentication Required - Suse Linux Enterprise Desktop 10.


Hi there Guys,

I've just installed SLED 10 on my ibm laptop @ work - i can browse the net using mozilla firefox [it asks for my username / password] and it works fine. i can ftp inside the company and all this nice stuffs.

BUT - when i try to configure my global proxy - to be able to download drivers using the method http://www.suse.de/~sndirsch/ati-installer-HOWTO.html

i get the following error when i test my http connection from withing global proxy settings
____________________________________________________________________________________________________ ___________________
* About to connect() to proxy <MyProxy> port 8080
* Trying <MyProxy>... connected
* Connected to <MyProxy> (<MyProxy-Ip>) port 8080
* Proxy auth using Basic with user 'myUserName'
> GET http://www.novell.com HTTP/1.1
> Proxy-Authorization: Basic dHNob2tnb2xvOnBhc3N3b3JkMDE=
> User-Agent: curl/7.15.1 (i686-suse-linux) libcurl/7.15.1 OpenSSL/0.9.8a zlib/1.2.3 libidn/0.6.0
> Host: www.novell.com
> Pragma: no-cache
> Accept: */*
> Proxy-Connection: Keep-Alive
>
< HTTP/1.1 407 Proxy Authentication Required ( The ISA Server requires authorization to fulfill the request. Access to the Web Proxy service is denied. )
< Via:1.1 <MyProxy>
< Proxy-Authenticate: NTLM
< Proxy-Authenticate: Kerberos
< Proxy-Authenticate: Negotiate
< Connection: close
* HTTP/1.1 proxy connection set close!
< Proxy-Connection: close
< Pragma: no-cache
< Cache-Control: no-cache
< Content-Type: text/html
< Content-Length: 2378
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
39 2378 39 968 0 0 11358 0 --:--:-- --:--:-- --:--:-- 11358100 2378 100 2336 0 0 21518 0 --:--:-- --:--:-- --:--:-- 57000100 2378 100 2378 0 0 17859 0 --:--:-- --:--:-- --:--:-- 29375* Closing connection #0
____________________________________________________________________________________________________ _______________

any help will be appricaited.

regards,
ryzor.
 
Old 08-22-2006, 04:34 AM   #2
atanwar
LQ Newbie
 
Registered: Nov 2003
Location: :PUNE, INDIA 411008
Distribution: redhat-6,7,9, fedoracore-1,2,3, AIX-5.1,5.2 , Tru64 5.1A, SUSE 10.0,ES9
Posts: 14

Rep: Reputation: 0
setup your proxy settings

I think u did not setup your proxy settings ....

setup your proxy settings using
yast2 proxy

fill in your proxy servers, username and password there...
 
Old 08-22-2006, 05:37 AM   #3
ryzor
LQ Newbie
 
Registered: Mar 2006
Posts: 16

Original Poster
Rep: Reputation: 0
Hi atanwar,

thats exactly what i did - i put all the required fields after running yast2 proxy - from the terminal. - i get the error when pressing "Test Proxy Settings"
 
Old 08-22-2006, 01:05 PM   #4
atanwar
LQ Newbie
 
Registered: Nov 2003
Location: :PUNE, INDIA 411008
Distribution: redhat-6,7,9, fedoracore-1,2,3, AIX-5.1,5.2 , Tru64 5.1A, SUSE 10.0,ES9
Posts: 14

Rep: Reputation: 0
I am not sure if this will work... but I read somewhere that problem is with curl package that creates problem. there was similar problem with version of curl 7.11.0
the problem seems to be rectified in version 7.15.0... so try upgrading your curl package to >7.15.0

get the latest curl package for your distribution
http://linux01.gwdg.de/~pbleser/rpm-...etwork%2Fcurl/

download the appropirate rpm file and upgrade your package...

i think this may help... but i am not completely sure....
 
Old 08-23-2006, 02:43 AM   #5
ryzor
LQ Newbie
 
Registered: Mar 2006
Posts: 16

Original Poster
Rep: Reputation: 0
I've just checked my curl version its currently sitting @ curl-7.15.1-19.2
 
Old 10-06-2007, 08:37 AM   #6
beta-tester
LQ Newbie
 
Registered: Oct 2007
Posts: 4

Rep: Reputation: 0
I have the same problem with Yast Package Manager in OpenSUSE 10.3

any Idea ?
 
Old 10-08-2007, 02:06 AM   #7
ryzor
LQ Newbie
 
Registered: Mar 2006
Posts: 16

Original Poster
Rep: Reputation: 0
Hi beta-tester.

have u tried: http://ntlmaps.sourceforge.net/

it worked for me!
 
Old 10-09-2007, 04:46 AM   #8
beta-tester
LQ Newbie
 
Registered: Oct 2007
Posts: 4

Rep: Reputation: 0
I tried ntlmaps, it doesn't work for me !
 
Old 12-11-2007, 06:11 AM   #9
jrmichelan
LQ Newbie
 
Registered: Dec 2007
Posts: 1

Rep: Reputation: 0
Lightbulb Use Cntlm...

Hi,

I had the same problem...I solved it using the package Cntlm

I hope help u.
 
Old 04-23-2008, 05:11 PM   #10
Raymo
LQ Newbie
 
Registered: Apr 2008
Posts: 1

Rep: Reputation: 0
HTTP/1.1 407 Proxy Authentication Required

BUMP

I am having this problem as well. I am fairly new to Linux Networking and appreciate any help.

I get the same error as the original poster, but if I set the proxy settings in mozilla I can get out and browse the web without issues.

I need the proxy piece to work because I need to grab some system registration files from within Novell customer registration.

Thanks in advance for any help...
 
Old 10-17-2009, 08:05 AM   #11
bananaoomarang
Member
 
Registered: Aug 2009
Posts: 35

Rep: Reputation: 15
Please help with this problem it is so annoying
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
SUSE Linux Enterprise Desktop 10 Xswitch Suse/Novell 2 09-22-2006 02:44 AM
LXer: SUSE Enterprise Linux Desktop 10 Screenshot Tour LXer Syndicated Linux News 0 07-18-2006 01:21 PM
LXer: Desktop Linux Defined: SUSE Linux Enterprise Desktop 10 LXer Syndicated Linux News 0 07-12-2006 09:54 AM
LXer: SuSE Linux Enterprise Desktop 10 LXer Syndicated Linux News 0 06-26-2006 04:21 AM
"407 Proxy Authentication Required." help super_teds Linux - Networking 1 11-18-2004 03:11 AM


All times are GMT -5. The time now is 01:23 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration